Initiate Notification push

Create or update existing Notification and initiates push. If pushing existing notification, all thats needed in the request body is "id". If "id" is omitted, "title", "message", "type" and "contents" (if applicable) are required

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid

ID of the Notification to be updated.

string

The title of the notification to be displayed. Personalisation permitted. Refer to https://docs.pushologies.com/docs/personalisation for more

string

The subtitle of the notification to be displayed. Personalisation permitted. Refer to https://docs.pushologies.com/docs/personalisation for more

string

You can fill in more information about this notification for admin purposes.

string
enum

Type of notification being pushed. If you're pushing with video/document content or just a standard notification with no content

Allowed:
string

Message of the notification to be displayed. Personalisation permitted. Refer to https://docs.pushologies.com/docs/personalisation for more

options
object
schedule
object | null

Notification scheduled push settings. This cannot be used together with the geofence field

geofence
stagger
object

Throttle the amount of pushes we do to your segment. Specify intervals (in minutes) of when to push and the batch size of subscribers to push to. It is important that the combination of "intervals" and "batchSize" you select does not result in the notification taking more than 24 hours to push to all subscribers - Delivery and access to notification assets cannot be guaranteed after this deadline elapses

inApp
object

In-App notification settings. In-App cannot be used when geofence field is also provided.

integer
Defaults to 604800

Time to Live. How long can the content remain on a users device, in seconds. Set to -1 to disable automatic deletion. The default is seven days.

boolean
Defaults to true

Is this Notification still in DRAFT state. Notifications in DRAFT state cannot be pushed (scheduled push will be ignored too).

contents
array of objects
length ≥ 1
contents
uuid

ID of Content object

boolean
Defaults to false

Set to true to identify this content as default.

number | null
≥ 0

Optionally set the sort order this content will appear in contents list. Passing in NULL value will reset it.

string
enum
Defaults to DEFAULT

Presentation mode of the content

Allowed:
contentItem
object
options
personalisation
array of objects
personalisation
string

Freeform JSON that is passed directly through to your app from our SDK upon message delivery.

string

Freeform metadata information.

uri

Uri of a target resource on the internet. Typically used with notifications of type = STANDARD.

campaign
object
segment
object
uuid | null

ID of the Poll that will be included in this notification (For "POLL" notification type only)

boolean
Defaults to false

Hide this notification from being viewed in the portalUI and from being returned in standard API requests that are not using the "showHidden" toggle

Responses

401

Id Token or X-API-Key/X-API-Secret is missing or invalid.

403

The server understood the request but refuses to authorize it. In most cases due to insufficient user permissions.

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json